Cannot install wine on KDE Neon based on Ubuntu 22.04 (jammy)

Questions about Wine on Linux
Post Reply
Aydiniyom
Newbie
Newbie
Posts: 1
Joined: Tue Jul 09, 2024 5:07 pm

Cannot install wine on KDE Neon based on Ubuntu 22.04 (jammy)

Post by Aydiniyom »

I get this when I want to install Wine in KDE Neon:

Code: Select all

Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Starting pkgProblemResolver with broken count: 2
Starting 2 pkgProblemResolver with broken count: 2
Investigating (0) neon-adwaita:amd64 < 0.0+p22.04+vrelease+git20240318.2146 @ii mK Ib >
Broken neon-adwaita:amd64 Breaks on adwaita-icon-theme:amd64 < none -> 41.0-1ubuntu1 @un umN >
  Considering adwaita-icon-theme:amd64 26 as a solution to neon-adwaita:amd64 130
  Added adwaita-icon-theme:amd64 to the remove list
Broken neon-adwaita:amd64 Breaks on adwaita-icon-theme:i386 < none @un H >
  Considering adwaita-icon-theme:amd64 26 as a solution to neon-adwaita:amd64 130
  Added adwaita-icon-theme:amd64 to the remove list
Broken neon-adwaita:amd64 Breaks on humanity-icon-theme:amd64 < none -> 0.6.16 @un uN >
  Considering humanity-icon-theme:amd64 -1 as a solution to neon-adwaita:amd64 130
  Added humanity-icon-theme:amd64 to the remove list
Broken neon-adwaita:amd64 Breaks on ubuntu-mono:amd64 < none -> 20.10-0ubuntu2 @un uN >
  Considering ubuntu-mono:amd64 0 as a solution to neon-adwaita:amd64 130
  Added ubuntu-mono:amd64 to the remove list
  Fixing neon-adwaita:amd64 via keep of adwaita-icon-theme:amd64
  Fixing neon-adwaita:amd64 via keep of adwaita-icon-theme:amd64
  Fixing neon-adwaita:amd64 via keep of humanity-icon-theme:amd64
  Fixing neon-adwaita:amd64 via keep of ubuntu-mono:amd64
Investigating (0) libgtk-3-0:i386 < none -> 3.24.33-1ubuntu2.1 @un uN Ib >
Broken libgtk-3-0:i386 Depends on adwaita-icon-theme:i386 < none @un H >
  Considering adwaita-icon-theme:amd64 26 as a solution to libgtk-3-0:i386 0
  Holding Back libgtk-3-0:i386 rather than change adwaita-icon-theme:i386
Investigating (0) libsane1:i386 < none -> 1.1.1-5 @un puN Ib >
Broken libsane1:i386 Depends on libpoppler-glib8:i386 < none @un pH > (>= 0.18.0)
  Considering libpoppler-glib8:i386 0 as a solution to libsane1:i386 0
  Considering libpoppler-glib8:i386 0 as a solution to libsane1:i386 0
  Considering libpoppler-glib8:i386 0 as a solution to libsane1:i386 0
Investigating (1) libsane1:i386 < none -> 1.1.1-5 @un puN Ib >
Broken libsane1:i386 Depends on libpoppler-glib8:i386 < none @un pH > (>= 0.18.0)
  Considering libpoppler-glib8:i386 0 as a solution to libsane1:i386 0
  Considering libpoppler-glib8:i386 0 as a solution to libsane1:i386 0
  Considering libpoppler-glib8:i386 0 as a solution to libsane1:i386 0
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libsane1:i386 : Depends: libpoppler-glib8:i386 (>= 0.18.0) but it is not installable
                 Recommends: sane-airscan:i386 but it is not installable
E: Unable to correct problems, you have held broken packages.

desessarts
Level 3
Level 3
Posts: 75
Joined: Wed Oct 04, 2023 7:57 am

Re: Cannot install wine on KDE Neon based on Ubuntu 22.04 (jammy)

Post by desessarts »

this is not a wine problem, it is an apt problem

you have broken packages, as long as this problem is not solved, you will not be able to install wine or any other software
nikolasr75
Newbie
Newbie
Posts: 1
Joined: Thu Jul 11, 2024 3:40 pm

Re: Cannot install wine on KDE Neon based on Ubuntu 22.04 (jammy)

Post by nikolasr75 »

However, you could try to compile and install wine yourself. Libsane and libpoppler are recommended and useful but not required for compilation. So, if you don't intend to use a scanning device or pdf documents you might want to build your own version without them. :)
Last edited by nikolasr75 on Thu Jul 11, 2024 3:48 pm, edited 1 time in total.
desessarts
Level 3
Level 3
Posts: 75
Joined: Wed Oct 04, 2023 7:57 am

Re: Cannot install wine on KDE Neon based on Ubuntu 22.04 (jammy)

Post by desessarts »

if docker is installed on your system, in order to have wine, you can just do

Code: Select all

docker run --rm -p 8080:8080 solarkennedy/wine-x11-novnc-docker
xdg-open http://localhost:8080

and then launch any browser on

Code: Select all

http://localhost:8080/
see
https://github.com/solarkennedy/wine-x11-novnc-docker

for more details and what is displayed
Post Reply